#!/bin/sh

appName=dliEpcr

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../iocBoot/ioc${appName}"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../iocBoot/ioc${appName}\"." 1>&2
  exit 1
fi

exec "../../${appName}App/src/O.$EPICS_HOST_ARCH/${appName}Test" st.cmd
